/********** (C) COPYRIGHT 2021 Fremont Micro Devices (SZ) Corporation *********
* @file      : bsp_iwdg.c
* @author    : FMD AE
* @brief     : bsp_iwdg program body
* @version   : V1.0.0
* @data      : 2021-09-14
******************************************************************************
* @attention
* COPYRIGHT (C) 2021 Fremont Micro Devices (SZ) Corporation All rights reserved.
* This software is provided by the copyright holders and contributors,and the
*   software is believed to be accurate and reliable. However, Fremont Micro
*   Devices (SZ) Corporation assumes no responsibility for the consequences of
*   use of such software or for any infringement of patents of other rights
*   of third parties, which may result from its use. No license is granted by
*   implication or otherwise under any patent rights of Fremont Micro Devices (SZ)
*   Corporation.
*******************************************************************************/

/* Includes ------------------------------------------------------------------*/
#include "bsp_iwdg.h"


/* Private variables ---------------------------------------------------------*/
__IO uint32_t TimingDelay = 0;
__IO uint32_t lsi_freq = 40000;
/**
  * @brief  IWDG configuration program.
  * @param  None
  * @retval None
  */
void IWDG_Config(void)
{
    uint32_t i = 0;

    IWDG_Enable();
    
    for(i = 0;i<=500;i++)
    {
    
    }    //LSIȶ
    
    IWDG_WriteAccessCmd(IWDG_WriteAccess_Enable);
    
    IWDG_SetPrescaler(IWDG_Prescaler_32);
    
    while (IWDG_GetFlagStatus(IWDG_FLAG_PVU) != RESET);
    
    IWDG_SetReload(lsi_freq / 128);
    
    while (IWDG_GetFlagStatus(IWDG_FLAG_RVU) != RESET);
    
    IWDG_ReloadCounter();

}
